//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

class DemoKatanaChange extends CharacterChange
{
    function CanApply()
    {
        local playerClass = player.GetPlayerClass();
        return playerClass == TF_CLASS.SOLDIER || playerClass == TF_CLASS.DEMO;
    }

    function OnDamageDealt(params)
    {
        if (WeaponIs(params.weapon, "half_zatoichi"))
        {
            local newHealth = player.GetHealth() + player.GetMaxHealth() / 2.0;
            local maxOverheal = player.GetMaxHealth() * 1.5
            player.SetHealth(maxOverheal < newHealth ? maxOverheal : newHealth );
			SetPropInt(params.weapon, "m_bIsBloody", 1);
			AddPropInt(player, "m_Shared.m_iKillCountSinceLastDeploy", 1);
        }
    }
}
characterChangesClasses.push(DemoKatanaChange);