//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

class DemoSwordChange extends CharacterChange
{
    function CanApply()
    {
        return player.GetPlayerClass() == TF_CLASS.DEMO;
    }

    function OnDamageDealt(params)
    {
        local weapon = params.weapon;
        if (WeaponIs(weapon, "eyelander")
        || WeaponIs(weapon, "headtaker")
        || WeaponIs(weapon, "golf_club")
        || WeaponIs(weapon, "eyelander_xmas"))
            AddHead();
    }

    function AddHead()
    {
        AddPropInt(player, "m_Shared.m_iDecapitations", 1);
        player.AddCond(Constants.ETFCond.TF_COND_DEMO_BUFF);
        player.AddCondEx(Constants.ETFCond.TF_COND_SPEED_BOOST, 0.01, 0.01);
        if (player.GetHealth() <= 300)
            player.SetHealth(player.GetHealth() + 15);
    }
}
characterChangesClasses.push(DemoSwordChange);