VO_BOSS_KILL <- {};

VO_BOSS_KILL[TF_CLASS.SCOUT] <- Sound("kill_scout", 9);
VO_BOSS_KILL[TF_CLASS.SOLDIER] <- Sound("kill_soldier", 9);
VO_BOSS_KILL[TF_CLASS.PYRO] <- Sound("kill_pyro", 9);
VO_BOSS_KILL[TF_CLASS.DEMOMAN] <- Sound("kill_demoman", 9);
VO_BOSS_KILL[TF_CLASS.HEAVY] <- Sound("kill_heavy", 9);
VO_BOSS_KILL[TF_CLASS.ENGINEER] <- Sound("kill_engineer", 9);
VO_BOSS_KILL[TF_CLASS.MEDIC] <- Sound("kill_medic", 9);
VO_BOSS_KILL[TF_CLASS.SNIPER] <- Sound("kill_sniper", 9);
VO_BOSS_KILL[TF_CLASS.SPY] <- Sound("kill_spy", 9);
VO_BOSS_KILL[TF_CLASS.UNDEFINED] <- Sound("kill_generic", 9);

function SoundDirector_OnDeath(params)
{
    local victim;
    if ((victim = GetPlayerFromParams(params)) == null)
        return;
    local attacker;
    if ((attacker = GetPlayerFromParams(params, "attacker")) == null)
        return;

    local playerClass = RandomInt(0,1) == 0 ? TF_CLASS.UNDEFINED : victim.GetPlayerClass();
    VO_BOSS_KILL[playerClass].PlayAsAnnouncer();
}
//AddListener("death", SoundDirector_OnDeath, 10);