//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

::weaponModels <- {
    market_gardener = GetModelIndex("models/workshop/weapons/c_models/c_market_gardener/c_market_gardener.mdl"),
    holiday_punch = GetModelIndex("models/workshop/weapons/c_models/c_xms_gloves/c_xms_gloves.mdl"),
    eyelander = GetModelIndex("models/weapons/c_models/c_claymore/c_claymore.mdl"),
    headtaker = GetModelIndex("models/weapons/c_models/c_headtaker/c_headtaker.mdl"),
    golf_club = GetModelIndex("models/workshop/weapons/c_models/c_golfclub/c_golfclub.mdl"),
    claymore_xmas = GetModelIndex("models/weapons/c_models/c_claymore/c_claymore_xmas.mdl"),
}

::WeaponIs <- function(weapon, name)
{
    if (weapon == null)
        return false;
    if (name == "airstrike")
        return weapon.GetClassname() == "tf_weapon_rocketlauncher_airstrike";
    if (name == "half_zatoichi")
        return weapon.GetClassname() == "tf_weapon_katana";
    if (name == "any_stickybomb_launcher")
        return weapon.GetClassname() == "tf_weapon_pipebomblauncher";
    return tablevalue(weaponModels, name, null) == GetPropInt(weapon, "m_iWorldModelIndex");
}