//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

class LastMannStandingChange extends CharacterChange
{
    function OnTick(interval)
    {
        local mercsAlive = vsh_vscript.GetAliveMercCount(); //todo cache the value when the tick begins
        if (mercsAlive <= 3)
            player.AddCondEx(Constants.ETFCond.TF_COND_OFFENSEBUFF, 0.2, player);
        if (mercsAlive == 1)    //No, it's not "else if", because engie + sentry combo benefits from both crits and minicrits
            player.AddCondEx(Constants.ETFCond.TF_COND_CRITBOOSTED_ON_KILL, 0.2, player);
    }
}
characterChangesClasses.push(LastMannStandingChange);