//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

::SOUND_VO_SAXTON_DIR <- "/vo/saxton_hale_megapieman/";

IncludeScript("vssaxtonhale/sound/sound.nut");
//IncludeScript("vssaxtonhale/sound/sound_director.nut");

SOUND_VO_SAXTON_JUMP <- Sound("saxton_jump", 9);

function PlayAnnouncerVO(sound, index = 0)
{
    EmitSoundEx({
        sound_name = sound.GetSound(index),
        channel = 7, //CHAN_VOICE2
        volume = 1.0,
        sound_level = 150,
        flags = 0,
        pitch = 100,
    });
}

function PlayVOAtEntity(entity, sound, index = 0)
{
    local sound = sound.GetSound(index);
    for(local i = 0; i < 2; i++)
        EmitSoundEx({
            sound_name = sound,
            channel = 7, //CHAN_VOICE2
            volume = 1.0,
            sound_level = 150,
            flags = 0,
            pitch = 100,
            origin = entity == null ? null : entity.GetCenter(),
            entity = entity,
            speaker_entity = entity
        });
}